1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getOvasV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    This lists all accessible OVAs using the default pagination, which can be customized.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    // Fetch all OVAs
    const example = nutanix.getOvasV2({});
    // filtered ovas on disk format
    const exampleFilteredDiskFormat = nutanix.getOvasV2({
        filter: "diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'",
    });
    // filtered ovas on name
    const exampleFilteredName = nutanix.getOvasV2({
        filter: "name eq 'example-ova'",
    });
    // filtered ovas on parentVm
    const exampleFilteredParentVm = nutanix.getOvasV2({
        filter: "parentVm eq 'LinuxServer_VM'",
    });
    // filtered ovas on sizeBytes
    const exampleFilteredSize = nutanix.getOvasV2({
        filter: "sizeBytes eq 57",
    });
    // limit, select, orderby and select example
    const example2 = nutanix.getOvasV2({
        filter: "startswith(parentVm, 'Linux')",
        limit: 10,
        select: "diskFormat,extId,name,vmConfig,checksum",
        orderBy: "name desc",
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    # Fetch all OVAs
    example = nutanix.get_ovas_v2()
    # filtered ovas on disk format
    example_filtered_disk_format = nutanix.get_ovas_v2(filter="diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'")
    # filtered ovas on name
    example_filtered_name = nutanix.get_ovas_v2(filter="name eq 'example-ova'")
    # filtered ovas on parentVm
    example_filtered_parent_vm = nutanix.get_ovas_v2(filter="parentVm eq 'LinuxServer_VM'")
    # filtered ovas on sizeBytes
    example_filtered_size = nutanix.get_ovas_v2(filter="sizeBytes eq 57")
    # limit, select, orderby and select example
    example2 = nutanix.get_ovas_v2(filter="startswith(parentVm, 'Linux')",
        limit=10,
        select="diskFormat,extId,name,vmConfig,checksum",
        order_by="name desc")
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// Fetch all OVAs
    		_, err := nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// filtered ovas on disk format
    		_, err = nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{
    			Filter: pulumi.StringRef("diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// filtered ovas on name
    		_, err = nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{
    			Filter: pulumi.StringRef("name eq 'example-ova'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// filtered ovas on parentVm
    		_, err = nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{
    			Filter: pulumi.StringRef("parentVm eq 'LinuxServer_VM'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// filtered ovas on sizeBytes
    		_, err = nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{
    			Filter: pulumi.StringRef("sizeBytes eq 57"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// limit, select, orderby and select example
    		_, err = nutanix.GetOvasV2(ctx, &nutanix.GetOvasV2Args{
    			Filter:  pulumi.StringRef("startswith(parentVm, 'Linux')"),
    			Limit:   pulumi.IntRef(10),
    			Select:  pulumi.StringRef("diskFormat,extId,name,vmConfig,checksum"),
    			OrderBy: pulumi.StringRef("name desc"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        // Fetch all OVAs
        var example = Nutanix.GetOvasV2.Invoke();
    
        // filtered ovas on disk format
        var exampleFilteredDiskFormat = Nutanix.GetOvasV2.Invoke(new()
        {
            Filter = "diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'",
        });
    
        // filtered ovas on name
        var exampleFilteredName = Nutanix.GetOvasV2.Invoke(new()
        {
            Filter = "name eq 'example-ova'",
        });
    
        // filtered ovas on parentVm
        var exampleFilteredParentVm = Nutanix.GetOvasV2.Invoke(new()
        {
            Filter = "parentVm eq 'LinuxServer_VM'",
        });
    
        // filtered ovas on sizeBytes
        var exampleFilteredSize = Nutanix.GetOvasV2.Invoke(new()
        {
            Filter = "sizeBytes eq 57",
        });
    
        // limit, select, orderby and select example
        var example2 = Nutanix.GetOvasV2.Invoke(new()
        {
            Filter = "startswith(parentVm, 'Linux')",
            Limit = 10,
            Select = "diskFormat,extId,name,vmConfig,checksum",
            OrderBy = "name desc",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetOvasV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // Fetch all OVAs
            final var example = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .build());
    
            // filtered ovas on disk format
            final var exampleFilteredDiskFormat = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .filter("diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'")
                .build());
    
            // filtered ovas on name
            final var exampleFilteredName = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .filter("name eq 'example-ova'")
                .build());
    
            // filtered ovas on parentVm
            final var exampleFilteredParentVm = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .filter("parentVm eq 'LinuxServer_VM'")
                .build());
    
            // filtered ovas on sizeBytes
            final var exampleFilteredSize = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .filter("sizeBytes eq 57")
                .build());
    
            // limit, select, orderby and select example
            final var example2 = NutanixFunctions.getOvasV2(GetOvasV2Args.builder()
                .filter("startswith(parentVm, 'Linux')")
                .limit(10)
                .select("diskFormat,extId,name,vmConfig,checksum")
                .orderBy("name desc")
                .build());
    
        }
    }
    
    variables:
      # Fetch all OVAs
      example:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments: {}
      # filtered ovas on disk format
      exampleFilteredDiskFormat:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments:
            filter: diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'
      # filtered ovas on name
      exampleFilteredName:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments:
            filter: name eq 'example-ova'
      # filtered ovas on parentVm
      exampleFilteredParentVm:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments:
            filter: parentVm eq 'LinuxServer_VM'
      # filtered ovas on sizeBytes
      exampleFilteredSize:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments:
            filter: sizeBytes eq 57
      # limit, select, orderby and select example
      example2:
        fn::invoke:
          function: nutanix:getOvasV2
          arguments:
            filter: startswith(parentVm, 'Linux')
            limit: 10
            select: diskFormat,extId,name,vmConfig,checksum
            orderBy: name desc
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getovasv2" "example" {
    }
    data "nutanix_getovasv2" "exampleFilteredDiskFormat" {
      filter = "diskFormat eq Vmm.Content.OvaDiskFormat'QCOW2'"
    }
    data "nutanix_getovasv2" "exampleFilteredName" {
      filter = "name eq 'example-ova'"
    }
    data "nutanix_getovasv2" "exampleFilteredParentVm" {
      filter = "parentVm eq 'LinuxServer_VM'"
    }
    data "nutanix_getovasv2" "exampleFilteredSize" {
      filter = "sizeBytes eq 57"
    }
    data "nutanix_getovasv2" "example2" {
      filter   = "startswith(parentVm, 'Linux')"
      limit    = 10
      select   = "diskFormat,extId,name,vmConfig,checksum"
      order_by = "name desc"
    }
    
    // Fetch all OVAs
    // filtered ovas on disk format
    // filtered ovas on name
    // filtered ovas on parentVm
    // filtered ovas on sizeBytes
    // limit, select, orderby and select example
    

    Using getOvasV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getOvasV2(args: GetOvasV2Args, opts?: InvokeOptions): Promise<GetOvasV2Result>
    function getOvasV2Output(args: GetOvasV2OutputArgs, opts?: InvokeOptions): Output<GetOvasV2Result>
    def get_ovas_v2(filter: Optional[str] = None,
                    limit: Optional[int] = None,
                    order_by: Optional[str] = None,
                    page: Optional[int] = None,
                    select: Optional[str] = None,
                    opts: Optional[InvokeOptions] = None) -> GetOvasV2Result
    def get_ovas_v2_output(filter: pulumi.Input[Optional[str]] = None,
                    limit: pulumi.Input[Optional[int]] = None,
                    order_by: pulumi.Input[Optional[str]] = None,
                    page: pulumi.Input[Optional[int]] = None,
                    select: pulumi.Input[Optional[str]] = None,
                    opts: Optional[InvokeOptions] = None) -> Output[GetOvasV2Result]
    func GetOvasV2(ctx *Context, args *GetOvasV2Args, opts ...InvokeOption) (*GetOvasV2Result, error)
    func GetOvasV2Output(ctx *Context, args *GetOvasV2OutputArgs, opts ...InvokeOption) GetOvasV2ResultOutput

    > Note: This function is named GetOvasV2 in the Go SDK.

    public static class GetOvasV2 
    {
        public static Task<GetOvasV2Result> InvokeAsync(GetOvasV2Args args, InvokeOptions? opts = null)
        public static Output<GetOvasV2Result> Invoke(GetOvasV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetOvasV2Result> getOvasV2(GetOvasV2Args args, InvokeOptions options)
    public static Output<GetOvasV2Result> getOvasV2(GetOvasV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getOvasV2:getOvasV2
      arguments:
        # arguments dictionary
    data "nutanix_getovasv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig

    getOvasV2 Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    Ovas List<PiersKarsenbarg.Nutanix.Outputs.GetOvasV2Ova>
    List of all OVAs
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    Id string
    The provider-assigned unique ID for this managed resource.
    Ovas []GetOvasV2Ova
    List of all OVAs
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    id string
    The provider-assigned unique ID for this managed resource.
    ovas list(object)
    List of all OVAs
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    id String
    The provider-assigned unique ID for this managed resource.
    ovas List<GetOvasV2Ova>
    List of all OVAs
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    id string
    The provider-assigned unique ID for this managed resource.
    ovas GetOvasV2Ova[]
    List of all OVAs
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    id str
    The provider-assigned unique ID for this managed resource.
    ovas Sequence[GetOvasV2Ova]
    List of all OVAs
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig
    id String
    The provider-assigned unique ID for this managed resource.
    ovas List<Property Map>
    List of all OVAs
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • diskFormat
    • name
    • parentVm
    • sizeBytes
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • createTime
    • lastUpdateTime
    • name
    • sizeBytes
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. it can be applied to the following fields:

    • clusterLocationExtIds
    • createTime
    • createdBy
    • diskFormat
    • extId
    • lastUpdateTime
    • links
    • name
    • parentVm
    • sizeBytes
    • tenantId
    • vmConfig

    Supporting Types

    GetOvasV2Ova

    Checksums List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaChecksum>
    • The checksum of an OVA.
    ClusterLocationExtIds List<string>
    CreateTime string
    • Time when the OVA was created time.
    CreatedBies List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaCreatedBy>
    • Information of the user.
    DiskFormat string
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    LastUpdateTime string
    • Time when the OVA was last updated time.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Name string
    • Name of the OVA.
    ParentVm string
    • The parent VM used for creating the OVA.
    SizeBytes int
    • Size of OVA in bytes.
    Sources List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaSource>
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    VmConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfig>
    Checksums []GetOvasV2OvaChecksum
    • The checksum of an OVA.
    ClusterLocationExtIds []string
    CreateTime string
    • Time when the OVA was created time.
    CreatedBies []GetOvasV2OvaCreatedBy
    • Information of the user.
    DiskFormat string
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    LastUpdateTime string
    • Time when the OVA was last updated time.
    Links []GetOvasV2OvaLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Name string
    • Name of the OVA.
    ParentVm string
    • The parent VM used for creating the OVA.
    SizeBytes int
    • Size of OVA in bytes.
    Sources []GetOvasV2OvaSource
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    VmConfigs []GetOvasV2OvaVmConfig
    checksums list(object)
    • The checksum of an OVA.
    cluster_location_ext_ids list(string)
    create_time string
    • Time when the OVA was created time.
    created_bies list(object)
    • Information of the user.
    disk_format string
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    last_update_time string
    • Time when the OVA was last updated time.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name string
    • Name of the OVA.
    parent_vm string
    • The parent VM used for creating the OVA.
    size_bytes number
    • Size of OVA in bytes.
    sources list(object)
    tenant_id string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    vm_configs list(object)
    checksums List<GetOvasV2OvaChecksum>
    • The checksum of an OVA.
    clusterLocationExtIds List<String>
    createTime String
    • Time when the OVA was created time.
    createdBies List<GetOvasV2OvaCreatedBy>
    • Information of the user.
    diskFormat String
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime String
    • Time when the OVA was last updated time.
    links List<GetOvasV2OvaLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name String
    • Name of the OVA.
    parentVm String
    • The parent VM used for creating the OVA.
    sizeBytes Integer
    • Size of OVA in bytes.
    sources List<GetOvasV2OvaSource>
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    vmConfigs List<GetOvasV2OvaVmConfig>
    checksums GetOvasV2OvaChecksum[]
    • The checksum of an OVA.
    clusterLocationExtIds string[]
    createTime string
    • Time when the OVA was created time.
    createdBies GetOvasV2OvaCreatedBy[]
    • Information of the user.
    diskFormat string
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime string
    • Time when the OVA was last updated time.
    links GetOvasV2OvaLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name string
    • Name of the OVA.
    parentVm string
    • The parent VM used for creating the OVA.
    sizeBytes number
    • Size of OVA in bytes.
    sources GetOvasV2OvaSource[]
    tenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    vmConfigs GetOvasV2OvaVmConfig[]
    checksums Sequence[GetOvasV2OvaChecksum]
    • The checksum of an OVA.
    cluster_location_ext_ids Sequence[str]
    create_time str
    • Time when the OVA was created time.
    created_bies Sequence[GetOvasV2OvaCreatedBy]
    • Information of the user.
    disk_format str
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    last_update_time str
    • Time when the OVA was last updated time.
    links Sequence[GetOvasV2OvaLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name str
    • Name of the OVA.
    parent_vm str
    • The parent VM used for creating the OVA.
    size_bytes int
    • Size of OVA in bytes.
    sources Sequence[GetOvasV2OvaSource]
    tenant_id str
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    vm_configs Sequence[GetOvasV2OvaVmConfig]
    checksums List<Property Map>
    • The checksum of an OVA.
    clusterLocationExtIds List<String>
    createTime String
    • Time when the OVA was created time.
    createdBies List<Property Map>
    • Information of the user.
    diskFormat String
    • Disk format of an OVA. |ENUM |Description | |---|---| | VMDK | The VMDK disk format of an OVA. | | QCOW2 | The QCOW2 disk format of an OVA. |
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime String
    • Time when the OVA was last updated time.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name String
    • Name of the OVA.
    parentVm String
    • The parent VM used for creating the OVA.
    sizeBytes Number
    • Size of OVA in bytes.
    sources List<Property Map>
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    vmConfigs List<Property Map>

    GetOvasV2OvaChecksum

    ova_sha1_checksums list(object)
    • The SHA1 checksum of the OVA file.
    ova_sha256_checksums list(object)
    • The SHA256 checksum of the OVA file.
    ovaSha1Checksums List<Property Map>
    • The SHA1 checksum of the OVA file.
    ovaSha256Checksums List<Property Map>
    • The SHA256 checksum of the OVA file.

    GetOvasV2OvaChecksumOvaSha1Checksum

    HexDigest string
    • The hexadecimal representation of the checksum.
    HexDigest string
    • The hexadecimal representation of the checksum.
    hex_digest string
    • The hexadecimal representation of the checksum.
    hexDigest String
    • The hexadecimal representation of the checksum.
    hexDigest string
    • The hexadecimal representation of the checksum.
    hex_digest str
    • The hexadecimal representation of the checksum.
    hexDigest String
    • The hexadecimal representation of the checksum.

    GetOvasV2OvaChecksumOvaSha256Checksum

    HexDigest string
    • The hexadecimal representation of the checksum.
    HexDigest string
    • The hexadecimal representation of the checksum.
    hex_digest string
    • The hexadecimal representation of the checksum.
    hexDigest String
    • The hexadecimal representation of the checksum.
    hexDigest string
    • The hexadecimal representation of the checksum.
    hex_digest str
    • The hexadecimal representation of the checksum.
    hexDigest String
    • The hexadecimal representation of the checksum.

    GetOvasV2OvaCreatedBy

    AdditionalAttributes List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaCreatedByAdditionalAttribute>
    BucketsAccessKeys List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaCreatedByBucketsAccessKey>
    CreatedBy string
    • Information of the user.
    CreatedTime string
    CreationType string
    Description string
    DisplayName string
    EmailId string
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    FirstName string
    IdpId string
    IsForceResetPasswordEnabled bool
    LastLoginTime string
    LastName string
    LastUpdatedBy string
    LastUpdatedTime string
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaCreatedByLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Locale string
    MiddleInitial string
    Region string
    Status string
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    UserType string
    Username string
    AdditionalAttributes []GetOvasV2OvaCreatedByAdditionalAttribute
    BucketsAccessKeys []GetOvasV2OvaCreatedByBucketsAccessKey
    CreatedBy string
    • Information of the user.
    CreatedTime string
    CreationType string
    Description string
    DisplayName string
    EmailId string
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    FirstName string
    IdpId string
    IsForceResetPasswordEnabled bool
    LastLoginTime string
    LastName string
    LastUpdatedBy string
    LastUpdatedTime string
    Links []GetOvasV2OvaCreatedByLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Locale string
    MiddleInitial string
    Region string
    Status string
    TenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    UserType string
    Username string
    additional_attributes list(object)
    buckets_access_keys list(object)
    created_by string
    • Information of the user.
    created_time string
    creation_type string
    description string
    display_name string
    email_id string
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    first_name string
    idp_id string
    is_force_reset_password_enabled bool
    last_login_time string
    last_name string
    last_updated_by string
    last_updated_time string
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    locale string
    middle_initial string
    region string
    status string
    tenant_id string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    user_type string
    username string
    additionalAttributes List<GetOvasV2OvaCreatedByAdditionalAttribute>
    bucketsAccessKeys List<GetOvasV2OvaCreatedByBucketsAccessKey>
    createdBy String
    • Information of the user.
    createdTime String
    creationType String
    description String
    displayName String
    emailId String
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    firstName String
    idpId String
    isForceResetPasswordEnabled Boolean
    lastLoginTime String
    lastName String
    lastUpdatedBy String
    lastUpdatedTime String
    links List<GetOvasV2OvaCreatedByLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    locale String
    middleInitial String
    region String
    status String
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    userType String
    username String
    additionalAttributes GetOvasV2OvaCreatedByAdditionalAttribute[]
    bucketsAccessKeys GetOvasV2OvaCreatedByBucketsAccessKey[]
    createdBy string
    • Information of the user.
    createdTime string
    creationType string
    description string
    displayName string
    emailId string
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    firstName string
    idpId string
    isForceResetPasswordEnabled boolean
    lastLoginTime string
    lastName string
    lastUpdatedBy string
    lastUpdatedTime string
    links GetOvasV2OvaCreatedByLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    locale string
    middleInitial string
    region string
    status string
    tenantId string
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    userType string
    username string
    additional_attributes Sequence[GetOvasV2OvaCreatedByAdditionalAttribute]
    buckets_access_keys Sequence[GetOvasV2OvaCreatedByBucketsAccessKey]
    created_by str
    • Information of the user.
    created_time str
    creation_type str
    description str
    display_name str
    email_id str
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    first_name str
    idp_id str
    is_force_reset_password_enabled bool
    last_login_time str
    last_name str
    last_updated_by str
    last_updated_time str
    links Sequence[GetOvasV2OvaCreatedByLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    locale str
    middle_initial str
    region str
    status str
    tenant_id str
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    user_type str
    username str
    additionalAttributes List<Property Map>
    bucketsAccessKeys List<Property Map>
    createdBy String
    • Information of the user.
    createdTime String
    creationType String
    description String
    displayName String
    emailId String
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    firstName String
    idpId String
    isForceResetPasswordEnabled Boolean
    lastLoginTime String
    lastName String
    lastUpdatedBy String
    lastUpdatedTime String
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    locale String
    middleInitial String
    region String
    status String
    tenantId String
    • A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    userType String
    username String

    GetOvasV2OvaCreatedByAdditionalAttribute

    name string
    • Name of the OVA.
    values list(object)
    name String
    • Name of the OVA.
    values List<Property Map>

    GetOvasV2OvaCreatedByAdditionalAttributeValue

    boolean bool
    integer number
    integer_lists list(number)
    map_of_strings list(object)
    object map(string)
    string string
    string_lists list(string)
    boolean Boolean
    integer Number
    integerLists List<Number>
    mapOfStrings List<Property Map>
    object Map<String>
    string String
    stringLists List<String>

    GetOvasV2OvaCreatedByAdditionalAttributeValueMapOfString

    Map Dictionary<string, string>
    Map map[string]string
    map map(string)
    map Map<String,String>
    map {[key: string]: string}
    map Mapping[str, str]
    map Map<String>

    GetOvasV2OvaCreatedByBucketsAccessKey

    AccessKeyName string
    CreatedTime string
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaCreatedByBucketsAccessKeyLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    SecretAccessKey string
    UserId string
    AccessKeyName string
    CreatedTime string
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links []GetOvasV2OvaCreatedByBucketsAccessKeyLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    SecretAccessKey string
    UserId string
    access_key_name string
    created_time string
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    secret_access_key string
    user_id string
    accessKeyName String
    createdTime String
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    links List<GetOvasV2OvaCreatedByBucketsAccessKeyLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    secretAccessKey String
    userId String
    accessKeyName string
    createdTime string
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    links GetOvasV2OvaCreatedByBucketsAccessKeyLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    secretAccessKey string
    userId string
    access_key_name str
    created_time str
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    links Sequence[GetOvasV2OvaCreatedByBucketsAccessKeyLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    secret_access_key str
    user_id str
    accessKeyName String
    createdTime String
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    secretAccessKey String
    userId String
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href str
    • The URL at which the entity described by the link can be accessed.
    rel str
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href str
    • The URL at which the entity described by the link can be accessed.
    rel str
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    Href string
    • The URL at which the entity described by the link can be accessed.
    Rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href string
    • The URL at which the entity described by the link can be accessed.
    rel string
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href str
    • The URL at which the entity described by the link can be accessed.
    rel str
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.
    href String
    • The URL at which the entity described by the link can be accessed.
    rel String
    • A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object.

    GetOvasV2OvaSource

    GetOvasV2OvaSourceObjectLiteSource

    Key string
    Key string
    key string
    key String
    key string
    key str
    key String

    GetOvasV2OvaSourceOvaUrlSource

    GetOvasV2OvaSourceOvaUrlSourceBasicAuth

    Password string
    Username string
    Password string
    Username string
    password string
    username string
    password String
    username String
    password string
    username string
    password String
    username String

    GetOvasV2OvaSourceOvaVmSource

    DiskFileFormat string
    VmExtId string
    DiskFileFormat string
    VmExtId string
    diskFileFormat String
    vmExtId String
    diskFileFormat string
    vmExtId string
    diskFileFormat String
    vmExtId String

    GetOvasV2OvaVmConfig

    ApcConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigApcConfig>
    AvailabilityZones List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigAvailabilityZone>
    BiosUuid string
    BootConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigBootConfig>
    Categories List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigCategory>
    Clusters List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigCluster>
    CreateTime string
    • Time when the OVA was created time.
    Description string
    EnabledCpuFeatures List<string>
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    GenerationUuid string
    GuestCustomizations List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigGuestCustomization>
    HardwareClockTimezone string
    Hosts List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigHost>
    IsAgentVm bool
    IsBrandingEnabled bool
    IsCpuHotplugEnabled bool
    IsCpuPassthroughEnabled bool
    IsGpuConsoleEnabled bool
    IsMemoryOvercommitEnabled bool
    IsScsiControllerEnabled bool
    IsVcpuHardPinningEnabled bool
    IsVgaConsoleEnabled bool
    MachineType string
    MemorySizeBytes int
    Name string
    • Name of the OVA.
    NumCoresPerSocket int
    NumNumaNodes int
    NumSockets int
    NumThreadsPerCore int
    OwnershipInfos List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigOwnershipInfo>
    Projects List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigProject>
    ProtectionPolicyStates List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigProtectionPolicyState>
    ProtectionType string
    SerialPorts List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigSerialPort>
    Sources List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigSource>
    StorageConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigStorageConfig>
    UpdateTime string
    VtpmConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigVtpmConfig>
    CdRoms List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigCdRom>
    Disks List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigDisk>
    Gpuses List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigGpus>
    GuestTools List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigGuestTool>
    Nics List<PiersKarsenbarg.Nutanix.Inputs.GetOvasV2OvaVmConfigNic>
    PowerState string
    ApcConfigs []GetOvasV2OvaVmConfigApcConfig
    AvailabilityZones []GetOvasV2OvaVmConfigAvailabilityZone
    BiosUuid string
    BootConfigs []GetOvasV2OvaVmConfigBootConfig
    Categories []GetOvasV2OvaVmConfigCategory
    Clusters []GetOvasV2OvaVmConfigCluster
    CreateTime string
    • Time when the OVA was created time.
    Description string
    EnabledCpuFeatures []string
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    GenerationUuid string
    GuestCustomizations []GetOvasV2OvaVmConfigGuestCustomization
    HardwareClockTimezone string
    Hosts []GetOvasV2OvaVmConfigHost
    IsAgentVm bool
    IsBrandingEnabled bool
    IsCpuHotplugEnabled bool
    IsCpuPassthroughEnabled bool
    IsGpuConsoleEnabled bool
    IsMemoryOvercommitEnabled bool
    IsScsiControllerEnabled bool
    IsVcpuHardPinningEnabled bool
    IsVgaConsoleEnabled bool
    MachineType string
    MemorySizeBytes int
    Name string
    • Name of the OVA.
    NumCoresPerSocket int
    NumNumaNodes int
    NumSockets int
    NumThreadsPerCore int
    OwnershipInfos []GetOvasV2OvaVmConfigOwnershipInfo
    Projects []GetOvasV2OvaVmConfigProject
    ProtectionPolicyStates []GetOvasV2OvaVmConfigProtectionPolicyState
    ProtectionType string
    SerialPorts []GetOvasV2OvaVmConfigSerialPort
    Sources []GetOvasV2OvaVmConfigSource
    StorageConfigs []GetOvasV2OvaVmConfigStorageConfig
    UpdateTime string
    VtpmConfigs []GetOvasV2OvaVmConfigVtpmConfig
    CdRoms []GetOvasV2OvaVmConfigCdRom
    Disks []GetOvasV2OvaVmConfigDisk
    Gpuses []GetOvasV2OvaVmConfigGpus
    GuestTools []GetOvasV2OvaVmConfigGuestTool
    Nics []GetOvasV2OvaVmConfigNic
    PowerState string
    apc_configs list(object)
    availability_zones list(object)
    bios_uuid string
    boot_configs list(object)
    categories list(object)
    clusters list(object)
    create_time string
    • Time when the OVA was created time.
    description string
    enabled_cpu_features list(string)
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    generation_uuid string
    guest_customizations list(object)
    hardware_clock_timezone string
    hosts list(object)
    is_agent_vm bool
    is_branding_enabled bool
    is_cpu_hotplug_enabled bool
    is_cpu_passthrough_enabled bool
    is_gpu_console_enabled bool
    is_memory_overcommit_enabled bool
    is_scsi_controller_enabled bool
    is_vcpu_hard_pinning_enabled bool
    is_vga_console_enabled bool
    machine_type string
    memory_size_bytes number
    name string
    • Name of the OVA.
    num_cores_per_socket number
    num_numa_nodes number
    num_sockets number
    num_threads_per_core number
    ownership_infos list(object)
    projects list(object)
    protection_policy_states list(object)
    protection_type string
    serial_ports list(object)
    sources list(object)
    storage_configs list(object)
    update_time string
    vtpm_configs list(object)
    cd_roms list(object)
    disks list(object)
    gpuses list(object)
    guest_tools list(object)
    nics list(object)
    power_state string
    apcConfigs List<GetOvasV2OvaVmConfigApcConfig>
    availabilityZones List<GetOvasV2OvaVmConfigAvailabilityZone>
    biosUuid String
    bootConfigs List<GetOvasV2OvaVmConfigBootConfig>
    categories List<GetOvasV2OvaVmConfigCategory>
    clusters List<GetOvasV2OvaVmConfigCluster>
    createTime String
    • Time when the OVA was created time.
    description String
    enabledCpuFeatures List<String>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    generationUuid String
    guestCustomizations List<GetOvasV2OvaVmConfigGuestCustomization>
    hardwareClockTimezone String
    hosts List<GetOvasV2OvaVmConfigHost>
    isAgentVm Boolean
    isBrandingEnabled Boolean
    isCpuHotplugEnabled Boolean
    isCpuPassthroughEnabled Boolean
    isGpuConsoleEnabled Boolean
    isMemoryOvercommitEnabled Boolean
    isScsiControllerEnabled Boolean
    isVcpuHardPinningEnabled Boolean
    isVgaConsoleEnabled Boolean
    machineType String
    memorySizeBytes Integer
    name String
    • Name of the OVA.
    numCoresPerSocket Integer
    numNumaNodes Integer
    numSockets Integer
    numThreadsPerCore Integer
    ownershipInfos List<GetOvasV2OvaVmConfigOwnershipInfo>
    projects List<GetOvasV2OvaVmConfigProject>
    protectionPolicyStates List<GetOvasV2OvaVmConfigProtectionPolicyState>
    protectionType String
    serialPorts List<GetOvasV2OvaVmConfigSerialPort>
    sources List<GetOvasV2OvaVmConfigSource>
    storageConfigs List<GetOvasV2OvaVmConfigStorageConfig>
    updateTime String
    vtpmConfigs List<GetOvasV2OvaVmConfigVtpmConfig>
    cdRoms List<GetOvasV2OvaVmConfigCdRom>
    disks List<GetOvasV2OvaVmConfigDisk>
    gpuses List<GetOvasV2OvaVmConfigGpus>
    guestTools List<GetOvasV2OvaVmConfigGuestTool>
    nics List<GetOvasV2OvaVmConfigNic>
    powerState String
    apcConfigs GetOvasV2OvaVmConfigApcConfig[]
    availabilityZones GetOvasV2OvaVmConfigAvailabilityZone[]
    biosUuid string
    bootConfigs GetOvasV2OvaVmConfigBootConfig[]
    categories GetOvasV2OvaVmConfigCategory[]
    clusters GetOvasV2OvaVmConfigCluster[]
    createTime string
    • Time when the OVA was created time.
    description string
    enabledCpuFeatures string[]
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    generationUuid string
    guestCustomizations GetOvasV2OvaVmConfigGuestCustomization[]
    hardwareClockTimezone string
    hosts GetOvasV2OvaVmConfigHost[]
    isAgentVm boolean
    isBrandingEnabled boolean
    isCpuHotplugEnabled boolean
    isCpuPassthroughEnabled boolean
    isGpuConsoleEnabled boolean
    isMemoryOvercommitEnabled boolean
    isScsiControllerEnabled boolean
    isVcpuHardPinningEnabled boolean
    isVgaConsoleEnabled boolean
    machineType string
    memorySizeBytes number
    name string
    • Name of the OVA.
    numCoresPerSocket number
    numNumaNodes number
    numSockets number
    numThreadsPerCore number
    ownershipInfos GetOvasV2OvaVmConfigOwnershipInfo[]
    projects GetOvasV2OvaVmConfigProject[]
    protectionPolicyStates GetOvasV2OvaVmConfigProtectionPolicyState[]
    protectionType string
    serialPorts GetOvasV2OvaVmConfigSerialPort[]
    sources GetOvasV2OvaVmConfigSource[]
    storageConfigs GetOvasV2OvaVmConfigStorageConfig[]
    updateTime string
    vtpmConfigs GetOvasV2OvaVmConfigVtpmConfig[]
    cdRoms GetOvasV2OvaVmConfigCdRom[]
    disks GetOvasV2OvaVmConfigDisk[]
    gpuses GetOvasV2OvaVmConfigGpus[]
    guestTools GetOvasV2OvaVmConfigGuestTool[]
    nics GetOvasV2OvaVmConfigNic[]
    powerState string
    apc_configs Sequence[GetOvasV2OvaVmConfigApcConfig]
    availability_zones Sequence[GetOvasV2OvaVmConfigAvailabilityZone]
    bios_uuid str
    boot_configs Sequence[GetOvasV2OvaVmConfigBootConfig]
    categories Sequence[GetOvasV2OvaVmConfigCategory]
    clusters Sequence[GetOvasV2OvaVmConfigCluster]
    create_time str
    • Time when the OVA was created time.
    description str
    enabled_cpu_features Sequence[str]
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    generation_uuid str
    guest_customizations Sequence[GetOvasV2OvaVmConfigGuestCustomization]
    hardware_clock_timezone str
    hosts Sequence[GetOvasV2OvaVmConfigHost]
    is_agent_vm bool
    is_branding_enabled bool
    is_cpu_hotplug_enabled bool
    is_cpu_passthrough_enabled bool
    is_gpu_console_enabled bool
    is_memory_overcommit_enabled bool
    is_scsi_controller_enabled bool
    is_vcpu_hard_pinning_enabled bool
    is_vga_console_enabled bool
    machine_type str
    memory_size_bytes int
    name str
    • Name of the OVA.
    num_cores_per_socket int
    num_numa_nodes int
    num_sockets int
    num_threads_per_core int
    ownership_infos Sequence[GetOvasV2OvaVmConfigOwnershipInfo]
    projects Sequence[GetOvasV2OvaVmConfigProject]
    protection_policy_states Sequence[GetOvasV2OvaVmConfigProtectionPolicyState]
    protection_type str
    serial_ports Sequence[GetOvasV2OvaVmConfigSerialPort]
    sources Sequence[GetOvasV2OvaVmConfigSource]
    storage_configs Sequence[GetOvasV2OvaVmConfigStorageConfig]
    update_time str
    vtpm_configs Sequence[GetOvasV2OvaVmConfigVtpmConfig]
    cd_roms Sequence[GetOvasV2OvaVmConfigCdRom]
    disks Sequence[GetOvasV2OvaVmConfigDisk]
    gpuses Sequence[GetOvasV2OvaVmConfigGpus]
    guest_tools Sequence[GetOvasV2OvaVmConfigGuestTool]
    nics Sequence[GetOvasV2OvaVmConfigNic]
    power_state str
    apcConfigs List<Property Map>
    availabilityZones List<Property Map>
    biosUuid String
    bootConfigs List<Property Map>
    categories List<Property Map>
    clusters List<Property Map>
    createTime String
    • Time when the OVA was created time.
    description String
    enabledCpuFeatures List<String>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    generationUuid String
    guestCustomizations List<Property Map>
    hardwareClockTimezone String
    hosts List<Property Map>
    isAgentVm Boolean
    isBrandingEnabled Boolean
    isCpuHotplugEnabled Boolean
    isCpuPassthroughEnabled Boolean
    isGpuConsoleEnabled Boolean
    isMemoryOvercommitEnabled Boolean
    isScsiControllerEnabled Boolean
    isVcpuHardPinningEnabled Boolean
    isVgaConsoleEnabled Boolean
    machineType String
    memorySizeBytes Number
    name String
    • Name of the OVA.
    numCoresPerSocket Number
    numNumaNodes Number
    numSockets Number
    numThreadsPerCore Number
    ownershipInfos List<Property Map>
    projects List<Property Map>
    protectionPolicyStates List<Property Map>
    protectionType String
    serialPorts List<Property Map>
    sources List<Property Map>
    storageConfigs List<Property Map>
    updateTime String
    vtpmConfigs List<Property Map>
    cdRoms List<Property Map>
    disks List<Property Map>
    gpuses List<Property Map>
    guestTools List<Property Map>
    nics List<Property Map>
    powerState String

    GetOvasV2OvaVmConfigApcConfig

    GetOvasV2OvaVmConfigApcConfigCpuModel

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Name string
    • Name of the OVA.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Name string
    • Name of the OVA.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    name string
    • Name of the OVA.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    name String
    • Name of the OVA.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    name string
    • Name of the OVA.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    name str
    • Name of the OVA.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    name String
    • Name of the OVA.

    GetOvasV2OvaVmConfigAvailabilityZone

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigBootConfig

    GetOvasV2OvaVmConfigBootConfigLegacyBoot

    GetOvasV2OvaVmConfigBootConfigLegacyBootBootDevice

    GetOvasV2OvaVmConfigBootConfigLegacyBootBootDeviceBootDeviceDisk

    GetOvasV2OvaVmConfigBootConfigLegacyBootBootDeviceBootDeviceDiskDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigBootConfigLegacyBootBootDeviceBootDeviceNic

    MacAddress string
    MacAddress string
    macAddress String
    macAddress string
    macAddress String

    GetOvasV2OvaVmConfigBootConfigUefiBoot

    GetOvasV2OvaVmConfigBootConfigUefiBootBootDevice

    GetOvasV2OvaVmConfigBootConfigUefiBootBootDeviceBootDeviceDisk

    GetOvasV2OvaVmConfigBootConfigUefiBootBootDeviceBootDeviceDiskDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigBootConfigUefiBootBootDeviceBootDeviceNic

    MacAddress string
    MacAddress string
    macAddress String
    macAddress string
    macAddress String

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDevice

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfo

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSource

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSourceReference

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSourceReferenceImageReference

    ImageExtId string
    ImageExtId string
    imageExtId String
    imageExtId string
    imageExtId String

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSourceReferenceVmDiskReference

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSourceReferenceVmDiskReferenceDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoDataSourceReferenceVmDiskReferenceVmReference

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoStorageConfig

    GetOvasV2OvaVmConfigBootConfigUefiBootNvramDeviceBackingStorageInfoStorageContainer

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigCategory

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigCdRom

    BackingInfos []GetOvasV2OvaVmConfigCdRomBackingInfo
    DiskAddresses []GetOvasV2OvaVmConfigCdRomDiskAddress
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IsoType string
    backing_infos list(object)
    disk_addresses list(object)
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    iso_type string
    backingInfos List<GetOvasV2OvaVmConfigCdRomBackingInfo>
    diskAddresses List<GetOvasV2OvaVmConfigCdRomDiskAddress>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isoType String
    backingInfos GetOvasV2OvaVmConfigCdRomBackingInfo[]
    diskAddresses GetOvasV2OvaVmConfigCdRomDiskAddress[]
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    isoType string
    backing_infos Sequence[GetOvasV2OvaVmConfigCdRomBackingInfo]
    disk_addresses Sequence[GetOvasV2OvaVmConfigCdRomDiskAddress]
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    iso_type str
    backingInfos List<Property Map>
    diskAddresses List<Property Map>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isoType String

    GetOvasV2OvaVmConfigCdRomBackingInfo

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSource

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSourceReference

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSourceReferenceImageReference

    ImageExtId string
    ImageExtId string
    imageExtId String
    imageExtId string
    imageExtId String

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSourceReferenceVmDiskReference

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSourceReferenceVmDiskReferenceDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigCdRomBackingInfoDataSourceReferenceVmDiskReferenceVmReference

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigCdRomBackingInfoStorageConfig

    GetOvasV2OvaVmConfigCdRomBackingInfoStorageContainer

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigCdRomDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigCluster

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigDisk

    BackingInfos []GetOvasV2OvaVmConfigDiskBackingInfo
    DiskAddresses []GetOvasV2OvaVmConfigDiskDiskAddress
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    backing_infos list(object)
    disk_addresses list(object)
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    backingInfos List<GetOvasV2OvaVmConfigDiskBackingInfo>
    diskAddresses List<GetOvasV2OvaVmConfigDiskDiskAddress>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    backingInfos GetOvasV2OvaVmConfigDiskBackingInfo[]
    diskAddresses GetOvasV2OvaVmConfigDiskDiskAddress[]
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    backing_infos Sequence[GetOvasV2OvaVmConfigDiskBackingInfo]
    disk_addresses Sequence[GetOvasV2OvaVmConfigDiskDiskAddress]
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    backingInfos List<Property Map>
    diskAddresses List<Property Map>
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigDiskBackingInfo

    GetOvasV2OvaVmConfigDiskBackingInfoAdfsVolumeGroupReference

    GetOvasV2OvaVmConfigDiskBackingInfoVmDisk

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSource

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSourceReference

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSourceReferenceImageReference

    ImageExtId string
    ImageExtId string
    imageExtId String
    imageExtId string
    imageExtId String

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSourceReferenceVmDiskReference

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSourceReferenceVmDiskReferenceDiskAddress

    BusType string
    Index int
    BusType string
    Index int
    bus_type string
    index number
    busType String
    index Integer
    busType string
    index number
    busType String
    index Number

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskDataSourceReferenceVmDiskReferenceVmReference

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskStorageConfig

    GetOvasV2OvaVmConfigDiskBackingInfoVmDiskStorageContainer

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ExtId string
[...]
